• 0538 605 20 99
  • 0216 475 74 19

Joomla Uyumlu Hosting



Joomla hosting diğer bir ifade ile joomla uyumlu hosting joomla kullanıcılarını aşina olduğu fakat joomla ya yeni başlayanlar için yabancı bir kavram.

Joomla hosting ya da joomla uyumlu hosting, kullanmayı düşündüğünüz joomla sürümünün sistem gereksinimlerini tamamı ile karşılayan sunucu yapılandırması gerçekleştirilmiş hosting hizmetidir diyebiliriz.

Joomla sürümlerinin sorunsuz ve düzenli çalışabilmesi için bir takım gereksinimlere ihtiyaçları vardır. Farklı joomla sürümleri için bu gereksinimler de farklılık gösterebilirler.

Şimdi bu gereksinimlerin neler olduğunu anlatmaya çalışalım.
Öncelikle belirtmemiz gereken joomla nın linux hosting üzerinde çalışmak için yapılandırılmış olduğudur. Başka bir ifade ile joomla kullanmayı düşünüyorsanız tercihiniz kesinlikle linux hosting olmalıdır. Bu genel kuraldır, Windows hosting üzerinde joomla kullanmanızı kesinlikle tavsiye etmiyoruz.

Joomla 2.5.x sürümünü kullanmayı düşünüyorsanız hosting firmanızın size aşağıda belirtilen özellikleri sağlaması gerekmektedir.

Joomla 2.5.x Temel Sistem Gereksinimleri

Yazılım Önerilen Minimum Daha Fazla Bilgi
PHP 5.4 + 5.2.4 + http://www.php.net
MySQL 5.0.4 + 5.0.4 + http://www.mysql.com
SQL Server 10.50.1600.1+   http://www.microsoft.com/sql
Apache
(mod_mysql, mod_xml,
ve mod_zlib dahil )
2.x + 2.x + http://www.apache.org
Nginx 1.1 1.0 http://wiki.nginx.org/
Microsoft IIS 7 7 http://www.iis.net


Joomla 2.5.x Sunucu Gereksinimleri



Yukarıdaki resimde Joomla 2.5.x sürümünün sunucu sistem gereksinimlerini görüyorsunuz.

Burada belirtilen tüm özelliklerin sunucu tarafından desteklenmesi ( yani Evet olması ) gerekmektedir.Aksi takdirde Joomla 2.5.x sürümü çalışmayacaktır.

Joomla 2.5.x Sunucu PHP Ayarları



Yukarıdaki resimde Joomla 2.5.x sürümünün sunucu PHP ayarları gereksinimlerini görüyorsunuz.

Listedeki tavsiye edilen PHP ayarları, tam bir Joomla uyumluluğu için gereklidir.
Başka bir ifade ile resimde görünen özelliklerin önerilen değerler ile bire bir örtüşmesi gerekmektedir.

Yukarıdaki özelliklerin tümünü eksiksiz bir şekilde karşılayamayan hosting paketi Joomla 2.5.x sürümü için uygun değildir. Joomla 2.5.x sürümü için uyumlu olan hosting paketinin yukarıdaki özelliklerin tümünü eksiksiz bir şekilde sağlaması gerekir.

Joomla 3.3.x sürümünü kullanmayı düşünüyorsanız hosting firmanızın size aşağıda belirtilen özellikleri sağlaması gerekmektedir.

Joomla 3.3.x Temel Sistem Gereksinimleri

Yazılım Önerilen Minimum Daha Fazla Bilgi
PHP 5.4 + 5.3.10 + http://www.php.net
MySQL ( InnoDB desteği gerekli ) 5.1 + 5.1 + http://www.mysql.com
SQL Server 10.50.1600.1+ 10.50.1600.1+  
Apache
(mod_mysql, mod_xml,
ve mod_zlib dahil )
2.x + 2.x + http://www.apache.org
Nginx 1.1 1.0 http://wiki.nginx.org/
Microsoft IIS 7 7 http://www.iis.net


Joomla 3.3.x Sunucu Gereksinimleri



Yukarıdaki resimde Joomla 3.3.x sürümünün sunucu sistem gereksinimlerini görüyorsunuz.

Burada belirtilen tüm özelliklerin sunucu tarafından desteklenmesi ( yani Evet olması ) gerekmektedir.Aksi takdirde Joomla 3.3.x sürümü çalışmayacaktır.

Joomla 3.3.x Sunucu PHP Ayarları



Yukarıdaki resimde Joomla 3.3.x sürümünün sunucu PHP ayarları gereksinimlerini görüyorsunuz.

Listedeki tavsiye edilen PHP ayarları, tam bir Joomla uyumluluğu için gereklidir.
Başka bir ifade ile resimde görünen özelliklerin önerilen değerler ile bire bir örtüşmesi gerekmektedir. Yukarıdaki özelliklerin tümünü eksiksiz bir şekilde karşılayamayan hosting paketi Joomla 3.3.x sürümü için uygun değildir. Joomla 3.3.x sürümü için uyumlu olan hosting paketinin yukarıdaki özelliklerin tümünü eksiksiz bir şekilde sağlaması gerekir.

Umarız yukarıda ifade etmeye çalıştığımız joomla hosting ya da joomla uyumlu hosting in ne anlama geldiğini sizlerin anlayabileceği bir şekilde anlatabilmişizdir.

Son olarak şunu ifade etmekte fayda görüyoruz. Bizden sıklıkla hosting firması önermemizi isteyen mesajlar alıyoruz. Bizim bu hassas konuda bir yönlendirme yapmamız söz konusu değildir. Firma tercihi tamamen sizlere aittir. Bu nedenle firma önerisi konusunda mesaj göndermemenizi rica ediyoruz.